let TabTree = {
	
	_showTabsToolbar: "extensions.tabtree.showTabsToolbar",
	
	init: function TabTree_init() {
		Services.prefs.addObserver(this._showTabsToolbar, this, false);
		
		let toolbar = document.getElementById("TabsToolbar");
		if (!toolbar)
			return;
		toolbar.setAttribute("tabtreeShowTabsToolbar",
			Services.prefs.getBoolPref(this._showTabsToolbar) ? "true" : "false");
	},
	
	finish: function TabTree_finish() {
		Services.prefs.removeObserver(this._showTabsToolbar, this);
	},
	
	observe: function TabTree_observe(aSubject, aTopic, aData) {
		//Services.console.logStringMessage(aData);
		if (aData == this._showTabsToolbar) {
			let toolbar = document.getElementById("TabsToolbar");
			if (!toolbar)
				return;
			toolbar.setAttribute("tabtreeShowTabsToolbar",
				Services.prefs.getBoolPref(this._showTabsToolbar) ? "true" : "false");
		}
	}
};

window.addEventListener("load", function() { TabTree.init(); }, false);
window.addEventListener("unload", function() { TabTree.finish(); }, false);
